using System;
using System.Collections.Generic;
using System.Data;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace CallCenterApi.BLL
{
    /// <summary>
    /// T_QC_IndexRes
    /// </summary>
    public partial class T_QC_IndexRes
    {
        private readonly DAL.T_QC_IndexRes dal = new DAL.T_QC_IndexRes();
        public T_QC_IndexRes()
        { }
        #region  Method
        /// <summary>
        /// 是否存在该记录
        /// </summary>
        public bool Exists(int F_Id)
        {
            return dal.Exists(F_Id);
        }

        /// <summary>
        /// 增加一条数据
        /// </summary>
        public int Add(Model.T_QC_IndexRes model)
        {
            return dal.Add(model);
        }

        /// <summary>
        /// 更新一条数据
        /// </summary>
        public bool Update(Model.T_QC_IndexRes model)
        {
            return dal.Update(model);
        }

        /// <summary>
        /// 删除一条数据
        /// </summary>
        public bool Delete(int F_Id)
        {

            return dal.Delete(F_Id);
        }
        /// <summary>
        /// 删除一条数据
        /// </summary>
        public bool DeleteList(string F_Idlist)
        {
            return dal.DeleteList(F_Idlist);
        }

        /// <summary>
        /// 得到一个对象实体
        /// </summary>
        public Model.T_QC_IndexRes GetModel(int F_Id)
        {

            return dal.GetModel(F_Id);
        }

        /// <summary>
        /// 获得数据列表
        /// </summary>
        public DataSet GetList(string strWhere)
        {
            return dal.GetList(strWhere);
        }
        /// <summary>
        /// 获得前几行数据
        /// </summary>
        public DataSet GetList(int Top, string strWhere, string filedOrder)
        {
            return dal.GetList(Top, strWhere, filedOrder);
        }
        /// <summary>
        /// 获得数据列表
        /// </summary>
        public List<Model.T_QC_IndexRes> GetModelList(string strWhere)
        {
            DataSet ds = dal.GetList(strWhere);
            return DataTableToList(ds.Tables[0]);
        }
        /// <summary>
        /// 获得数据列表
        /// </summary>
        public List<Model.T_QC_IndexRes> DataTableToList(DataTable dt)
        {
            List<Model.T_QC_IndexRes> modelList = new List<Model.T_QC_IndexRes>();
            int rowsCount = dt.Rows.Count;
            if (rowsCount > 0)
            {
                Model.T_QC_IndexRes model;
                for (int n = 0; n < rowsCount; n++)
                {
                    model = new Model.T_QC_IndexRes();
                    if (dt.Rows[n]["F_Id"] != null && dt.Rows[n]["F_Id"].ToString() != "")
                    {
                        model.F_Id = int.Parse(dt.Rows[n]["F_Id"].ToString());
                    }
                    if (dt.Rows[n]["CallRecordsId"] != null && dt.Rows[n]["CallRecordsId"].ToString() != "")
                    {
                        model.CallRecordsId = int.Parse(dt.Rows[n]["CallRecordsId"].ToString());
                    }
                    if (dt.Rows[n]["F_IndexId"] != null && dt.Rows[n]["F_IndexId"].ToString() != "")
                    {
                        model.F_IndexId = int.Parse(dt.Rows[n]["F_IndexId"].ToString());
                    }
                    if (dt.Rows[n]["F_Score"] != null && dt.Rows[n]["F_Score"].ToString() != "")
                    {
                        model.F_Score = int.Parse(dt.Rows[n]["F_Score"].ToString());
                    }
                    if (dt.Rows[n]["F_QCScore"] != null && dt.Rows[n]["F_QCScore"].ToString() != "")
                    {
                        model.F_QCScore = int.Parse(dt.Rows[n]["F_QCScore"].ToString());
                    }
                    if (dt.Rows[n]["F_Remark"] != null && dt.Rows[n]["F_Remark"].ToString() != "")
                    {
                        model.F_Remark = dt.Rows[n]["F_Remark"].ToString();
                    }
                    modelList.Add(model);
                }
            }
            return modelList;
        }

        /// <summary>
        /// 获得数据列表
        /// </summary>
        public DataSet GetAllList()
        {
            return GetList("");
        }

        /// <summary>
        /// 分页获取数据列表
        /// </summary>
        public int GetRecordCount(string strWhere)
        {
            return dal.GetRecordCount(strWhere);
        }
        /// <summary>
        /// 分页获取数据列表
        /// </summary>
        public DataSet GetListByPage(string strWhere, string orderby, int startIndex, int endIndex)
        {
            return dal.GetListByPage(strWhere, orderby, startIndex, endIndex);
        }

        #endregion  Method
    }
}
